#!/bin/sh
export XCURSOR_SIZE=32
export XCURSOR_THEME=Bibata-Modern-Classic
xrandr --output DisplayPort-1 --mode 3440x1440 --rate 144
xrdb -merge ~/.Xresources

# run stuff that outputs a bunch in a subshell, and redirect everything to a file
(
xset r rate 200 40&
feh --no-fehbg --bg-fill ~/repos/bag/$(ls ~/repos/bag | shuf -n 1)&
pipewire&
redshift&
solaar --window=hide&
dwmblocks&
dunst&
picom&
mpd&
mpd-monitor&
) > ~/.xinit.log  2>&1

exec dbus-run-session dwm
